%define	name		openorb
%define	Name		OpenORB
%define	version		1.2.0
%define	release		2jpp
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java CORBA Object Request Broker
License:	BSD
Group:		Development/Java
Distribution:	JPackage
Vendor:		JPackage Project
Source0:	%{Name}-%{version}-src.tgz
Patch0:		%{name}-build.patch
Url:		http://openorb.exolab.org/
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and 
provides a lot of features, services and extensions.

%package javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{Name}-%{version}
%patch0 -p1
find . -name "*.java" -exec perl -p -i -e 's|assert|myAssert|g;' {} \;
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant -Dbuild.compiler=modern -buildfile src/build.xml jar
ant -Dbuild-compiler=modern -buildfile src/build.xml javadoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/%{name}_tools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0664,root,root,0755)
%doc install.txt src/etc/CHANGELOG src/etc/LICENSE src/etc/README
%{_javadir}/*

%files javadoc
%defattr(0664,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.2.0-2jpp
- update for JPackage 1.5

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.0-1jpp 
- first jpp release
